
QGIS Application - Bug report #7117

SAGA Grid Calculator does not work when  "Use NoData" is set to "Yes"

2013-02-07 02:50 AM - Michal Belcik

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16190

Description

When "Use NoData" is set to "Yes", it is not working - works fine only if it is set to "No".

History

#1 - 2013-02-07 02:56 AM - Giovanni Manghi

- Subject changed from SAGA Grid Calculator to SAGA Grid Calculator does not work when  "Use NoData" is set to "Yes"

#2 - 2013-02-07 03:44 PM - Victor Olaya

- Status changed from Open to Feedback

Works fine for me here in both cases. Can you tell us if you have no data values or not in your layer, and the formula used? The SAGA console ouput will

also be helpful

Thanks!

#3 - 2013-02-07 11:13 PM - Giovanni Manghi

Victor Olaya wrote:

Works fine for me here in both cases. Can you tell us if you have no data values or not in your layer, and the formula used? The SAGA console

ouput will also be helpful

Thanks!

the operation is like

a*(-0.1)

the sample raster is uploading (will post the link in a few minutes)

and the saga output is

SAGA execution console output

_____________________________________

    1.   ##   #####    ##

    1.     ###  ##       ###
    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

_____________________________________

library path:    /usr/lib/saga

library name:    libio_gdal

module name :    GDAL: Import Raster

author      :    (c) 2007 by O.Conrad (A.Ringeler)

_____________________________________

go...

Parameters

Grids: No objects

Files: "/home/gio/Desktop/rivers_d_r.tif"

loading: /home/gio/Desktop/rivers_d_r.tif

Driver: ????/(null)

Cells: x 2799, y 2786

Bands: 1

Transformation x' = 797460.170000 + x * 10.001518 + y * 0.000000

Transformation y' = 417040.130000 + x * 0.000000 + y * -10.000808

Save grid: /tmp/sextante/1360306986.594.sgrd...

ready

okay

Unknown option 'USE_NODATA'

Usage: Grid Calculator -GRIDS <str> -RESULT <str> [-FORMULA <str>] [-NAME <str>] [-FNAME]

-GRIDS:<str>      Grids

Grid list (input)

-RESULT:<str>     Result

Grid (output)

-FORMULA:<str>    Formula

Text

-NAME:<str>       Name

Text

-FNAME            Take Formula

Boolean

_____________________________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

_____________________________________

library path:    /usr/lib/saga

library name:    libgrid_calculus
module name :    Grid Calculator

author      :    Copyrights (c) 2003 by Andre Ringeler

_____________________________________

go...

error: Grid file could not be opened.

error: input file [/tmp/sextante/sagagridcalculator73b52d704b404e27963bd67673f69357.tif.sgrd]

error: empty input list [GRIDS]

error: executing module [GDAL: Export Raster]

_____________________________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

_____________________________________

library path:    /usr/lib/saga

library name:    libio_gdal

module name :    GDAL: Export Raster

author      :    O.Conrad (c) 2007

_____________________________________

go...

Load grid: /tmp/sextante/sagagridcalculator73b52d704b404e27963bd67673f69357.tif.sgrd...

failed

#4 - 2013-02-07 11:21 PM - Giovanni Manghi

Victor Olaya wrote:

Works fine for me here in both cases. Can you tell us if you have no data values or not in your layer, and the formula used? The SAGA console

ouput will also be helpful

Thanks!

Oh well,

the sample data may not be necessary after all, the culprit seems to be te

Unknown option 'USE_NODATA'

does this depends on the SAGA version?

I'm on Ubuntu but pretty sure that the same issue comes up also on Windows...

#5 - 2013-02-07 11:27 PM - Giovanni Manghi
Victor Olaya wrote:

Works fine for me here in both cases. Can you tell us if you have no data values or not in your layer, and the formula used? The SAGA console

ouput will also be helpful

Thanks!

https://www.dropbox.com/s/ly0zvsxvo4uss6e/rivers.tar.bz2

#6 - 2014-10-04 11:56 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.4.0

- Category deleted (56)

#7 - 2014-10-04 11:57 AM - Giovanni Manghi

- Category set to Processing/SAGA

#8 - 2015-05-24 05:42 AM - Giovanni Manghi

- Status changed from Feedback to Closed
